%YAML:1.0

#--------------------------------------------------------------------------------------------
# Camera Parameters. Adjust them!
#--------------------------------------------------------------------------------------------

# Camera calibration and distortion parameters (OpenCV)
Camera.fx: 974.8409602402362   # 969.4750  974.8409602402362
Camera.fy: 975.2969974293134   # 969.4750  975.2969974293134
Camera.cx: 637.9512716907054   # 643.6190  637.9512716907054
Camera.cy: 482.0369315847473   # 481.4160  482.0369315847473

Camera.k1: -0.31811570871103184         # -0.31811570871103184
Camera.k2: 0.10347911678780099          # 0.10347911678780099
Camera.p1: 0.0009600873384515784        # 0.0009600873384515784
Camera.p2: 0.0020253178045684227        # 0.0020253178045684227
Camera.k3: 0.0                          #

Camera.width: 1280
Camera.height: 960


Camera.baseline: 0.20802998918481966
# # Camera frames per second
# Camera.fps: 30.0

# # IR projector baseline times fx (aprox.)
# Camera.bf: 232.6740 # 203.7418 232.6740

# # Color order of the images (0: BGR, 1: RGB. It is ignored if images are grayscale)
# Camera.RGB: 1

# #--------------------------------------------------------------------------------------------
# # System Parameters
# #--------------------------------------------------------------------------------------------

# # Switch for Dataset (1 for Oxford MultiMotion Dataset, 2 for KITTI dataset, 3...)
# ChooseData: 1

# # Deptmap values factor
# DepthMapFactor: 256.0

# # Close/Far Depth threshold
# ThDepthBG: 40.0
# ThDepthOBJ: 25.0

# # Max Tracking Points on Background and Object in each frame
# MaxTrackPointBG: 1200
# MaxTrackPointOBJ: 800

# # Scene Flow Magnitude and Distribution Threshold
# SFMgThres: 0.02
# SFDsThres: 0.99

# # Window Size and Overlapping Size for Local Batch Optimization
# WINDOW_SIZE: 20
# OVERLAP_SIZE: 4

# # Use sampled feature or detected feature for background (1: sampled, 0: detected)
# UseSampleFeature: 1

# #--------------------------------------------------------------------------------------------
# # ORB Parameters (NOTE: only FAST corners are used in this system.)
# #--------------------------------------------------------------------------------------------

# # ORB Extractor: Number of features per image
# ORBextractor.nFeatures: 3000

# # ORB Extractor: Scale factor between levels in the scale pyramid
# ORBextractor.scaleFactor: 1.2

# # ORB Extractor: Number of levels in the scale pyramid
# ORBextractor.nLevels: 8

# # ORB Extractor: Fast threshold
# ORBextractor.iniThFAST: 20
ORBextractor.minThFAST: 7

